为什么我每次composer都提示这个

Do not run Composer as root/super user! See getcomposer.org/root for details

Continue as root/super user [yes]?
提示我不要用root启动,我是不是应该建一个专门的用户来启动composer,怎么建呢

《L01 基础入门》
我们将带你从零开发一个项目并部署到线上,本课程教授 Web 开发中专业、实用的技能,如 Git 工作流、Laravel Mix 前端工作流等。
《G01 Go 实战入门》
从零开始带你一步步开发一个 Go 博客项目,让你在最短的时间内学会使用 Go 进行编码。项目结构很大程度上参考了 Laravel。
讨论数量: 2

不能用root用户运行,你的版本是不是1?升级到2好像就不会提示了

composer self-update --2
1周前 评论

其实如果比较烦这个确认的话,简单点,开个管理员小号。 然后添加进/etc/sudoers(给sudo) 然后切换用户过去。 做法如下(管理员权限下)

useradd [选项] 用户名
# 示例 添加一个名为test用户
useradd test
# 给test设置密码
passwd test 
# 添加到sudoer里面
vim /etc/sudoers
# 打开后加一句这个
test   ALL=(ALL)
1周前 评论

讨论应以学习和精进为目的。请勿发布不友善或者负能量的内容,与人为善,比聪明更重要!